com.independentsoft.exchange

## Enum StandardUser

- java.lang.Object
- - java.lang.Enum<StandardUser>
  - - com.independentsoft.exchange.StandardUser

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardUser>

      public enum StandardUser
      extends java.lang.Enum<StandardUser>

  Defines the anonymous delegate that is used to define delegate permissions for unauthenticated users.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANONYMOUS` Defines the anonymous delegate that is used to define delegate permissions for unauthenticated users.
    `DEFAULT` Defines the default delegate that is used to define default delegation permissions.
    `NONE` None.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardUser` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardUser[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final StandardUser DEFAULT

      Defines the default delegate that is used to define default delegation permissions.

    - #### ANONYMOUS

          public static final StandardUser ANONYMOUS

      Defines the anonymous delegate that is used to define delegate permissions for unauthenticated users.

    - #### NONE

          public static final StandardUser NONE

      None.

  - ### Method Detail

    - #### values

          public static StandardUser[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardUser c : StandardUser.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardUser valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null